{% extends 'base.html' %}

{% block title %}Project List{% endblock %}

{% block content %}
<div class="project-list">
    <h1>My Projects</h1>
    <p>
        <a href="{% url 'create_project' %}">Create a new project</a>
    </p>
    {% if project_list|length == 0 %}
    <p>You are not assigned to any projects</p>
    {% else %}
    <table>
        <tr>
            <th>Name</th>
            <th>Not Completed Tasks</th>
            <th>Total Tasks</th>
        </tr>
        {% for project in project_list %}
        <tr>
            <td>
                <a href="{% url 'show_project' project.id %}">{{ project.name }}</a>
            </td>
            <td>{{ not_done }}</td>
            <td>{{ project.tasks.all|length }}</td>
        </tr>
        {% endfor %}
    </table>
    {% endif %}
</div>
{% endblock content %}